The Cloud Identity SCIM API uses the open System for Cross-domain Identity Management (SCIM) standard to automate user and group management between your Identity Provider (IdP) and Google Cloud Identity. It standardizes how users and groups are provisioned, updated, and deprovisioned by implementing a subset of SCIM RFCs 7643 and 7644.
Additional features
- Automatic group locking: If your organization has set up a SCIM connection, groups synced using the connection's authentication methods can be automatically locked by enabling the Lock synced groups setting. This prevents manual modifications in other Google interfaces (such as the Admin console), ensuring your IdP remains the authoritative source. For details on this feature, see How locking synced groups works.
Unsupported SCIM features
- Sorting: Described in RFC 7644 Section 3.4.2.3.
- Pagination: Neither index-based (RFC 7644 Section 3.4.2.4) nor cursor-based (RFC 9865) pagination is supported.
- Bulk operations: Described in RFC 7644 Section 3.7.
- ETags: Described in RFC 7644 Section 3.14.
Service: cloudidentityscim.googleapis.com
Service endpoint
A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:
https://cloudidentityscim.googleapis.com
REST Resource: v1beta1.customers.v2.Groups
| Methods | |
|---|---|
create |
POST /v1beta1/customers/{customerId}/v2/Groups Creates a Group. |
delete |
DELETE /v1beta1/customers/{customerId}/v2/Groups/{groupId} Deletes a Group. |
get |
GET /v1beta1/customers/{customerId}/v2/Groups/{groupId} Retrieves a Group. |
list |
GET /v1beta1/customers/{customerId}/v2/Groups Retrieves a list of Groups. |
patch |
PATCH /v1beta1/customers/{customerId}/v2/Groups/{groupId} Updates a Group using SCIM patch semantics. |
REST Resource: v1beta1.customers.v2.ResourceTypes
| Methods | |
|---|---|
get |
GET /v1beta1/customers/{customerId}/v2/ResourceTypes/{resourceTypeId} Retrieves a specific resource type. |
list |
GET /v1beta1/customers/{customerId}/v2/ResourceTypes Retrieves all resource types. |
REST Resource: v1beta1.customers.v2.Schemas
| Methods | |
|---|---|
get |
GET /v1beta1/customers/{customerId}/v2/Schemas/{schemaId} Retrieves a Schema. |
list |
GET /v1beta1/customers/{customerId}/v2/Schemas Retrieves all Schemas. |
REST Resource: v1beta1.customers.v2.ServiceProviderConfig
| Methods | |
|---|---|
get |
GET /v1beta1/customers/{customerId}/v2/ServiceProviderConfig Retrieves the Service Provider Configuration. |
REST Resource: v1beta1.customers.v2.Users
| Methods | |
|---|---|
create |
POST /v1beta1/customers/{customerId}/v2/Users Creates a User. |
delete |
DELETE /v1beta1/customers/{customerId}/v2/Users/{userId} Deletes a User. |
get |
GET /v1beta1/customers/{customerId}/v2/Users/{userId} Retrieves a User. |
list |
GET /v1beta1/customers/{customerId}/v2/Users Retrieves a list of Users. |
patch |
PATCH /v1beta1/customers/{customerId}/v2/Users/{userId} Updates a User using SCIM patch semantics. |
REST Resource: v1.customers.v2.Groups
| Methods | |
|---|---|
create |
POST /v1/customers/{customerId}/v2/Groups Creates a Group. |
delete |
DELETE /v1/customers/{customerId}/v2/Groups/{groupId} Deletes a Group. |
get |
GET /v1/customers/{customerId}/v2/Groups/{groupId} Retrieves a Group. |
list |
GET /v1/customers/{customerId}/v2/Groups Retrieves a list of Groups. |
patch |
PATCH /v1/customers/{customerId}/v2/Groups/{groupId} Updates a Group using SCIM patch semantics. |
REST Resource: v1.customers.v2.ResourceTypes
| Methods | |
|---|---|
get |
GET /v1/customers/{customerId}/v2/ResourceTypes/{resourceTypeId} Retrieves a specific resource type. |
list |
GET /v1/customers/{customerId}/v2/ResourceTypes Retrieves all resource types. |
REST Resource: v1.customers.v2.Schemas
| Methods | |
|---|---|
get |
GET /v1/customers/{customerId}/v2/Schemas/{schemaId} Retrieves a Schema. |
list |
GET /v1/customers/{customerId}/v2/Schemas Retrieves all Schemas. |
REST Resource: v1.customers.v2.ServiceProviderConfig
| Methods | |
|---|---|
get |
GET /v1/customers/{customerId}/v2/ServiceProviderConfig Retrieves the Service Provider Configuration. |
REST Resource: v1.customers.v2.Users
| Methods | |
|---|---|
create |
POST /v1/customers/{customerId}/v2/Users Creates a User. |
delete |
DELETE /v1/customers/{customerId}/v2/Users/{userId} Deletes a User. |
get |
GET /v1/customers/{customerId}/v2/Users/{userId} Retrieves a User. |
list |
GET /v1/customers/{customerId}/v2/Users Retrieves a list of Users. |
patch |
PATCH /v1/customers/{customerId}/v2/Users/{userId} Updates a User using SCIM patch semantics. |